Browser Compatibility

Platform Browser Compatibility

The OPENPediatrics platform is compatible with the following browsers:

  • Internet Explorer 10.x and later
  • Firefox 48.x and later
  • Opera 12 and later
  • Safari 8.x and later
  • Chrome 52.x and later

Find out what browser you are using here.

 

Simulator Browser Compatibility

The ventilator simulator and peritoneal dialysis simulator require Adobe Flash Player to be installed.  

To run the simulators:

Please note that our Flash-based simulators will not work on Apple tablets and phones.

View additional information on troubleshooting Flash Player. If you need additional help, please contact us at openpediatrics@childrens.harvard.edu.